# AITileList_IndustryAccepting Class Reference
[Classes that create a list of items.]

Creates a list of tiles that will accept cargo for the given industry. More...

`#include <ai_tilelist.hpp>`

Inheritance diagram for AITileList_IndustryAccepting:

## Public Member Functions
| AITileList_IndustryAccepting (IndustryID industry_id, int radius)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates a list of tiles that will accept cargo for the given industry.

Note:
  If a simular industry is close, it might happen that this industry receives the cargo.

Definition at line 65 of file ai_tilelist.hpp.

## Constructor & Destructor Documentation

AITileList_IndustryAccepting::AITileList_IndustryAccepting | ( | IndustryID | industry_id,
|  | int | radius |
| ) |  |  |

Parameters:

  | industry_id | The industry to create the AITileList around.
  | radius | The radius of the station you will be using.

Precondition:
  AIIndustry::IsValidIndustry(industry_id).
  radius > 0.

Definition at line 50 of file ai_tilelist.cpp.

References _settings_game, Industry::accepts_cargo, AITileList::AddTile(), CA_UNMODIFIED, CT_INVALID, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_industry_pool >::Get(), GetAcceptanceAroundTiles(), GetIndustryIndex(), TileArea::h, IsTileType(), AIIndustry::IsValidIndustry(), IsValidTile(), lengthof, Industry::location, StationSettings::modified_catchment, MP_INDUSTRY, GameSettings::station, TileArea::tile, TILE_AREA_LOOP, TileDiffXY(), and TileArea::w.

## Member Function Documentation

static const char* AITileList_IndustryAccepting::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AITileList.

Definition at line 68 of file ai_tilelist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_tilelist.hpp
- src/ai/api/ai_tilelist.cpp